Package org.apache.ignite.internal.util.tostring

## Class CircularStringBuilder

- java.lang.Object
- - org.apache.ignite.internal.util.tostring.CircularStringBuilder

    public class CircularStringBuilder
    extends Object

Basic string builder over circular buffer.

### Method Summary

All Methods Instance Methods Concrete Methods
`CircularStringBuilder` `append​(Object obj)` Appends the string representation of the `Object` argument.
`CircularStringBuilder` `append​(String str)` Appends the specified string to this character sequence.
`CircularStringBuilder` `append​(StringBuffer sb)` Append StringBuffer
`int` `capacity()` Returns the current capacity.
`int` `getSkipped()`
`int` `length()` Returns the length (character count).
`void` `reset()` Reset internal builder state
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### reset

    public void reset()

Reset internal builder state

#### length

    public int length()

Returns the length (character count).

Returns:
  the length of the sequence of characters currently represented by this object

#### capacity

    public int capacity()

Returns the current capacity.

Returns:
  the current capacity

#### append

    public CircularStringBuilder append​(Object obj)

Appends the string representation of the `Object` argument.

Parameters:
  `obj` - an `Object`.
Returns:
  a reference to this object.

#### append

    public CircularStringBuilder append​(String str)

Appends the specified string to this character sequence.

Parameters:
  `str` - a string.
Returns:
  a reference to this object.

#### append

    public CircularStringBuilder append​(StringBuffer sb)

Append StringBuffer

Parameters:
  `sb` - StringBuffer to append.
Returns:
  Reference to this object.

#### getSkipped

    public int getSkipped()

Returns:
  Count of skipped elements.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`